function [predImg] = BPSimple(pstL, malpha, Cd, Cs, labels, pstList, refImg)

    GlobalSetting;

    [h, w, clr] = size(refImg);
    wdiff = LightWeightDiff(pstList, pstL);
    wspec1 = LightWeightSpec(pstList(labels==1, :), pstL, malpha(1));
    wspec2 = LightWeightSpec(pstList(labels==2, :), pstL, malpha(2));
    predImg = zeros(h*w, 3);
    predImg(labels==1, :) = wdiff(labels==1)*Cd(1, :)+wspec1*Cs(1, :);
    predImg(labels==2, :) = wdiff(labels==2)*Cd(2, :)+wspec2*Cs(2, :);
    predImg = reshape(predImg, [h, w, 3]);
