function [ output ] = BlinnPhongGaussN( param, h, w, pixIdx, pixClr, pixPst, useSpec, isPredict )

    persistent NormField;
    
    if isempty(NormField)
        NormField = zeros(h, w, 2);
    end
   
    DecodeParamCmd;
    
    pst = [pixPst, zeros(numPix, 1)];
   
    if isPredict==0
        NormField = fsolve(@(pixN)BlinnPhongGaussNField(alpha, pstL, pst, Cs, Cd, Ca, pixN, gaussNGamma, useSpec, 0), NormField(pixIdx,:));
    end
    
    output=BlinnPhongGaussNField(alpha, pstL, pst, Cs, Cd, Ca, pixN, gaussNGamma, useSpec, isPredict);
end

