function [err] = BlurOpt(pstL, malpha, kernel, labels, pstList, clrList, img)

    [h,w,clr] = size(img);
    [Cd, Cs] = CalcBlurDiff(pstList, clrList, img, labels, kernel, pstL, malpha);
    predImg = BlurImg(pstL, malpha, Cd, Cs, kernel, labels, pstList, img);
    err = reshape(sum((predImg-img).^2, 3).^0.5, [h*w, 1]);
    %err = sum(sum((predImg-img).^2, 2)).^0.5;
    %err = sum(err);