function [err] = BlurOptShadow(pstL, malpha, kernel, labels, shadowLabels, pstList, clrList, img)

    [h,w,clr] = size(img);
    
    [Cd, Cs, Ca] = CalcBlurShadow(pstList, clrList, img, labels, shadowLabels, kernel, pstL, malpha);
    predImg = BlurImgShadow(pstL, malpha, Cd, Cs, Ca, kernel, labels, shadowLabels, pstList, img);
    err = reshape(sum((predImg-img).^2, 3).^0.5, [h*w, 1]);
    %err = sum(sum((predImg-img).^2, 2)).^0.5;
    %err = sum(err);