function DeblurRun(srcImgName, labelName, splitName1, splitName2, outLabelName, outReconName)

    img = double(imread(srcImgName));
    labels = double(imread(labelName)/255+1);
    recon1 = double(imread(splitName1));
    recon2 = double(imread(splitName2));
    [h, w, clr] = size(img);
    isInit = 0;
    bestErr = 0;
    for k=3:4:15
        if k>=h || k>=w
            break;
        end
        [labels, recon, err] = StandardDeblur(recon1, recon2, img, k);
        if isInit==0 || err<bestErr
            bestErr = err;
            bestLabels = labels;
            bestRecon = recon;
        end
        isInit = 1;
    end
    
    imwrite(bestRecon/255, outReconName);
    imwrite(bestLabels-1, outLabelName);