function [labels, recon, bf1param, bf2param, err, kernelSize, labels0, recon0, bf1param0, bf2param0] = NumBlurLinKernelOpt(img, iteNum)

    GlobalSetting;
    useShadow = 0;
    useSpec = 1;
    
    isInit = 1;
    err = 0;
    newerr = 0;
    [h, w, clr] = size(img);
    if useShadow==1
        [newlabels, newShadowLabels, newbf1param, newbf2param, newrecon, newerr] = NumBlurLinShadowOpt(img, iteNum+7, 1);
    else
        [newlabels, newbf1param, newbf2param, newrecon, newerr] = NumBlurLinOpt(img, iteNum+7, 1);
    end
    labels0 = newlabels;
    recon0 = newrecon;
    bf1param0 = newbf1param;
    bf2param0 = newbf2param;
    kernelSize = 3;
    while (isInit==1 || newerr<err) && kernelSize<min(h, w) && kernelSize<30
        
        bf1param = newbf1param;
        bf2param = newbf2param;
        labels = newlabels;
        recon = newrecon;
        err = newerr;
        if useShadow
            [newlabels, newShadowLabels, newbf1param, newbf2param, newrecon, newerr] = NumBlurLinShadowOpt(img, iteNum, kernelSize, labels, newShadowLabels, bf1param, bf2param);
        else
            [newlabels, newbf1param, newbf2param, newrecon, newerr] = NumBlurLinOpt(img, iteNum, kernelSize, labels, bf1param, bf2param);
        end

        isInit = 0;
        kernelSize = kernelSize+4;
    end
    