infolder = '..\data\TextImg\HardOnes\src\';
kmeansfolder = '..\data\TextImg\HardOnes\kmeans\';
gmmfolder = '..\data\TextImg\HardOnes\gmm2\';
imglist = dir(strcat(infolder, '*.png'));

for imgnum=1:size(imglist)
    imgname=imglist(imgnum).name
    outputName = strcat(gmmfolder, imgname);
    fid = fopen(outputName);
    if (fid == -1)
        img = imread(strcat(infolder, imgname));
        %labels = clusterImg(img, 2);
        %imwrite(labels-1, strcat(kmeansfolder, imgname));
        labels = gaussCluster(img, 2);
        imwrite(labels, outputName);
    else
        fclose(fid);
    end
end