    [alpha, thetaL, phiL, pstL, thetaN, phiN, z, Cs, Cd, Ca] = DecodeParam(param);
    
    numPix = size(pixelPst, 1);
    
    pst = [pixelPst, zeros(numPix, 1)];
    
    col0 = BlinnPhong(alpha, thetaL, phiL, pstL, thetaN, phiN, pst, Cs, Cd, Ca, useSpec, 0);
    col1 = BlinnPhong(alpha, thetaL, phiL, pstL, thetaN, phiN, pst, Cs, Cd, Ca, useSpec, 1);
    
    err0 = min(col0, 255)-pixelCol;
    err1 = min(col1, 255)-pixelCol;
    
    diff = normVec(err0)-normVec(err1);
    
    idx0 = find(diff<0);
    idx1 = find(diff>=0);
    
    col = zeros(size(pixelCol));
    col(idx0,:) = col0(idx0,:);
    col(idx1,:) = col1(idx1,:);