function [ err, gradient ] = BlinnPhongOptD( param, pixelCol, pixelPst, useSpec)

    if (nargin<4)
        useSpec = 0;
    end

    BPParam;
    %BPNoShadow;
    
    err = min(col, 255)-pixelCol;
    
    [dparamr, dparamg, dparamb] = BlinnPhongDer(param, pst, useSpec);
    gradient = 2*(dparamr.*err(:, 1)+dparamg.*err(:, 2)+dparamb.*err(:, 3));