function [outImg] = BlinnPhongPredictImg(bfParam, inImg, useSpec)

    [h, w, clr]= size(inImg);

    sizeScale = (w^2+h^2)^0.5;
    idx = 1:(w*h);
    idx = idx';
    [x, y] = ind2sub([h, w], idx);
    pixPst = [x,y]/sizeScale;
    pixClr = [inImg(idx), inImg(idx+w*h), inImg(idx+w*h*2)];
    
    predClr = BlinnPhongPredict(bfParam, pixClr, pixPst, useSpec);
    outImg = reshape(predClr, [h,w,clr]);
    