function [ labels, recon, bf1param, bf2param ] = NumBPhongOptH( optFuncInit, optFunc, img, level )
    GlobalSetting;
    imgArray = cell(level, 1);
    imgArray{level} = img;
    for i=1:level-1
        j=level-i;
        imgArray{j} = imresize(imgArray{j+1}, 0.5);
    end

    for i=1:level
        isRun = 1;
        if i==1
            while isRun==1
                [labels, bf1param, bf2param, recon] = optFuncInit(imgArray{i});
                if abs(sum(sum(labels==1))-sum(sum(labels==2)))<0.95*size(labels,1)*size(labels,2)
                    isRun=0;
                end
            end
        else
            shadowInit = 0;
            imgsize = size(imgArray{i});
            imgsize = imgsize(1:2);
            while isRun==1
                labels = imresize(labels, 'OutputSize', imgsize, 'Method', 'nearest');
                [labels, bf1param, bf2param, recon] = optFunc(imgArray{i}, labels, bf1param, bf2param);
                if abs(sum(sum(labels==1))-sum(sum(labels==2)))<0.95*size(labels,1)*size(labels,2)
                    isRun=0;
                end
            end
        end
    end
end

