function [labels, mrfParam] = NumMRFOpt(img, psi_alpha)

    if (nargin==1)
        mrfParam = EncodeBFMRFParam(InitParam(), InitParam(), 0.0);
    end
    
    [h, w, clr] = size(img);
    idx = 1:(w*h);
    idx = idx';
    [x, y] = ind2sub([h, w], idx);
    pixPst = [x,y];
    pixClr = [img(idx), img(idx+w*h), img(idx+w*h*2)];    
    
    %clear BFMRFOpt
    %psi_alpha = fsolve(@(psi_alpha)BFMRFOpt(psi_alpha, h, w, pixPst, pixClr, 1), 0)
    
    %for i=1:10
    [err, labels, mrfParam] = BFMRFOpt(psi_alpha, h, w, pixPst, pixClr, 1);
    %end
    
    