function PredFromParam(srcDirName, inDirName, inPost, outDirName, outPost)

    for i=1:1000
        srcFileName = sprintf('%s%d.png', srcDirName, i);
        inFileName = sprintf('%s%d%s', inDirName, i, inPost);
        outFileName1 = sprintf('%s%d%s_1.png', outDirName, i, outPost);
        outFileName2 = sprintf('%s%d%s_2.png', outDirName, i, outPost);
        if exist(inFileName, 'file') && exist(srcFileName, 'file')
            load(inFileName);
            img = imread(srcFileName);
            [h, w, c] = size(img);
            idxall = 1:h*w;
            idxall = idxall';
            clrall = [img(idxall), img(idxall+h*w), img(idxall+h*w*2)];
            sizeScale = (w^2+h^2)^0.5;
            [x, y] = ind2sub([h, w], idxall);
            pixPst = [x,y]/sizeScale;
            predClr1 = BlinnPhongPredict(bf1param, clrall, pixPst, 0);
            predClr2 = BlinnPhongPredict(bf2param, clrall, pixPst, 0);
            predClr1b = reshape(predClr1, [h, w, 3]);
            predClr2b = reshape(predClr2, [h, w, 3]);
            imwrite(predClr1b/255, outFileName1);
            imwrite(predClr2b/255, outFileName2);
        end
    end