function [labels, reconDeblur, recon, err, runtime] = ResultDeblur(labels, recon1, recon2, img, kernelSize)

    begintime = cputime;

    kernel = GetBlurKernel(kernelSize);
    [kpstr, kpstc] = ndgrid(1:size(kernel,1), 1:size(kernel,2));
    kmid = (size(kernel)+1)/2;
    [ipstr, ipstc] = ndgrid(1:size(img,1), 1:size(img,2));
    %dstidx = sub2idx(size(img), ipstr, ipstc);
    [h, w, c] = size(img);
    num = h*w/10;
    BlurReconCmd;
    while num>=10
        err^0.5
        num
        %recon = recon1;
        %labels2idx = find(labels==2);
        %recon(labels2idx) = recon2(labels2idx);
        %recon(labels2idx+w*h) = recon2(labels2idx+w*h);
        %recon(labels2idx+w*h*2) = recon2(labels2idx+w*h*2);
        %reconBlur = imfilter(recon, kernel, 'replicate');
        %blurError = img-reconBlur;
        
        weight = zeros([h, w]);
        swapdelta = recon1+recon2-recon*2;
        figure(1);
        imshow(labels-1);
        figure(2);
        imshow(recon/255);
        figure(3);
        imshow(reconBlur/255);
        figure(4);
        imshow(img/255);
%        waitforbuttonpress;
        for i=1:size(kernel, 1)*size(kernel, 2)
            kw = kernel(i);
            deltapst = [kpstr(i), kpstc(i)]-kmid;
            srcpst = [reshape(ipstr, [h*w, 1])+deltapst(1), reshape(ipstc, [h*w, 1])+deltapst(2)];
            %srcpst = max(srcpst, 1);
            %srcpst(:, 1) = min(srcpst(:, 1), size(img, 1));
            %srcpst(:, 2) = min(srcpst(:, 2), size(img, 2));
            
            valididx = find(srcpst(:, 1)>0 & srcpst(:, 1)<=size(img, 1) & srcpst(:, 2)>0 & srcpst(:, 2)<=size(img, 2));
            srcpst = srcpst(valididx, :);
            srcidx = sub2ind(size(img), srcpst(:, 1), srcpst(:, 2));
            weight(srcidx) = weight(srcidx)+kw*(blurError(valididx).*swapdelta(srcidx)+blurError(valididx+w*h).*swapdelta(srcidx+w*h)+blurError(valididx+w*h*2).*swapdelta(srcidx+w*h*2));
        end
        [newwei, idx] = sort(reshape(-weight, [w*h,1]));
        %ceil(sum(newwei>0)/100);
        oldLabels = labels;
        oldErr = err;
        while (num>=1)
            flipsnum = min(num, sum(newwei<0));
            labels = oldLabels;
            labels(idx(1:flipsnum)) = 3-oldLabels(idx(1:flipsnum));
            BlurReconCmd;
            if err>=oldErr
                num = floor(flipsnum/2);
                num
            else
                break;
            end
        end
    end
    reconDeblur = recon;
    recon = reconBlur;
    
    runtime = cputime-begintime
    