function [labels, recon, err] = StandardDeblur(recon1, recon2, img, kernelSize)

    kernel = GetBlurKernel(kernelSize);
    deblurImg = deconvlucy(img, kernel);
    %[deblurImg, kernel] = deconvblind(img, kernel);
    [h, w, clr] = size(recon1);
    labels = ones(h, w);
    idx = sum((recon1-deblurImg).^2, 3)>sum((recon2-deblurImg).^2, 3);
    labels(idx) = 2;
    findIdx = find(idx);
    recon = recon1;
    recon(findIdx) = recon2(findIdx);
    recon(findIdx+w*h) = recon2(findIdx+w*h);
    recon(findIdx+2*w*h) = recon2(findIdx+2*w*h);
    recon = imfilter(recon, kernel, 'replicate');
    err = sum(sum(sum((recon-img).^2))).^0.5;
    figure(1);
    imshow(labels-1);
    figure(2);
    imshow(deblurImg/255);
    figure(3);
    imshow(recon/255);
    err
    