function [ resultImg ] = clusterImg( inputImg, k )

    [h, w, chn] = size(inputImg);
    pixelColor = [reshape(inputImg(:, :, 1), [h*w, 1]), reshape(inputImg(:, :, 2), [h*w, 1]), reshape(inputImg(:, :, 3), [h*w, 1])];
    pixelColor = im2double(pixelColor);
    idx = kmeans(pixelColor, k);
    resultImg = reshape(idx, [h, w]);