function [ resultImg ] = gaussCluster( inputImg, k )

    [h, w, chn] = size(inputImg);
    pixelColor = [reshape(inputImg(:, :, 1), [h*w, 1]), reshape(inputImg(:, :, 2), [h*w, 1]), reshape(inputImg(:, :, 3), [h*w, 1])];
    pixelColor = im2double(pixelColor);
    obj = gmdistribution.fit(pixelColor, k);
    [idx, nlogl, P] = cluster(obj, pixelColor);
    resultImg = reshape(P(:, 2), [h, w]);
    %resultImg = reshape(idx, [h, w]);